asynchronous_arg_t Struct Reference

## Data Fields

void * | stackaddr
int | errnum
uintptr_t(* | func )(uintptr_t self, int argc, uintptr_t *argv)
uintptr_t | self
int | argc
uintptr_t * | argv

## Detailed Description

Definition at line 4630 of file win32.c.

## Field Documentation

int asynchronous_arg_t::argc

Definition at line 4638 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

uintptr_t* asynchronous_arg_t::argv

Definition at line 4639 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

int asynchronous_arg_t::errnum

Definition at line 4633 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

uintptr_t(* asynchronous_arg_t::func)(uintptr_t self, int argc, uintptr_t *argv)

Definition at line 4636 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

uintptr_t asynchronous_arg_t::self

Definition at line 4637 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

void* asynchronous_arg_t::stackaddr

Definition at line 4632 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

The documentation for this struct was generated from the following file:

- win32/win32.c